FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 04-03-2012, 04:33 PM
Paweł Rumian
 
Default Inconsistent flag name in some packages? webm and vpx speifically

Hello,

I've been directed here from the bugzilla:
https://bugs.gentoo.org/show_bug.cgi?id=410585
I will copy my bug report from there, so no need to click

Currently there are two different flags which pull the same
library (media-libs/libvpx) for the same purpose.

vpx : Enables vp8 codec support using libvpx, required to play some
HTML5 videos

webm: Use system media-libs/libvpx for HTML5 WebM video
support.

Generally webm is somewhat wider term than vp8 (see e.g. here:
http://en.wikipedia.org/wiki/WebM), but in all ebuilds I have checked
webm USE flag just pulls the vp8 implementation library - libvpx.

I am not 100% sure, but to me it seems like webm and vpx USE flags
should be unified.

$ equery hasuse -p vpx
* Searching for USE flag vpx ...
[-P-] [ ] media-plugins/gst-plugins-meta-0.10-r6:0.10
[IP-] [ ] media-plugins/gst-plugins-meta-0.10-r7:0.10
[-P-] [ ] media-video/avidemux-2.5.6-r1:2
[-P-] [ ] media-video/ffmpeg-0.7.8:0
[-P-] [ ] media-video/ffmpeg-0.10:0
[IP-] [ ] media-video/ffmpeg-0.10.2:0
[-P-] [ -] media-video/ffmpeg-9999:0
[-P-] [ ] media-video/libav-0.6.5:0
[-P-] [ ] media-video/libav-0.7.4:0
[-P-] [ -] media-video/libav-0.7.9999:0
[-P-] [ ] media-video/libav-0.8:0
[-P-] [ ] media-video/libav-0.8.1:0
[-P-] [ -] media-video/libav-0.8.9999:0
[-P-] [ -] media-video/libav-9999:0
[-P-] [ ] media-video/mplayer-1.0_rc4_p20110322-r1:0

$ equery hasuse -p webm
* Searching for USE flag webm ...
[-P-] [ ] mail-client/thunderbird-8.0-r1:0
[-P-] [ ] mail-client/thunderbird-9.0:0
[-P-] [ ] mail-client/thunderbird-10.0:0
[-P-] [ ] mail-client/thunderbird-10.0.1:0
[-P-] [ ] mail-client/thunderbird-10.0.1-r1:0
[-P-] [ ] mail-client/thunderbird-10.0.3:0
[-P-] [ ] mail-client/thunderbird-11.0.1:0
[-P-] [ ] net-libs/xulrunner-2.0.1-r1:1.9
[-P-] [ ] www-client/firefox-8.0:0
[-P-] [ ] www-client/firefox-9.0:0
[-P-] [ ] www-client/firefox-10.0:0
[-P-] [ ] www-client/firefox-10.0.1:0
[-P-] [ ] www-client/firefox-10.0.1-r1:0
[-P-] [ ] www-client/firefox-10.0.3:0
[-P-] [ ] www-client/firefox-11.0-r1:0
[-P-] [M ] www-client/icecat-10.0-r1:0
[-P-] [M ] www-client/icecat-10.0-r2:0
[-P-] [ -] www-client/seamonkey-2.4.1-r1:0
[-P-] [ -] www-client/seamonkey-2.7.1:0
[-P-] [ ] www-client/seamonkey-2.7.1-r1:0
[-P-] [ ] www-client/seamonkey-2.8:0
[-P-] [ ] www-client/seamonkey-2.8-r1:0

best regards,
Paweł Rumian
 
Old 04-03-2012, 08:15 PM
Markos Chandras
 
Default Inconsistent flag name in some packages? webm and vpx speifically

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 04/03/2012 05:33 PM, Paweł Rumian wrote:
> Hello,
>
> I've been directed here from the bugzilla:
> https://bugs.gentoo.org/show_bug.cgi?id=410585 I will copy my bug
> report from there, so no need to click
>
> Currently there are two different flags which pull the same library
> (media-libs/libvpx) for the same purpose.
>
> vpx : Enables vp8 codec support using libvpx, required to play
> some HTML5 videos
>
> webm: Use system media-libs/libvpx for HTML5 WebM video support.
>
> Generally webm is somewhat wider term than vp8 (see e.g. here:
> http://en.wikipedia.org/wiki/WebM), but in all ebuilds I have
> checked webm USE flag just pulls the vp8 implementation library -
> libvpx.
>
> I am not 100% sure, but to me it seems like webm and vpx USE flags
> should be unified.
>
> $ equery hasuse -p vpx * Searching for USE flag vpx ... [-P-] [ ]
> media-plugins/gst-plugins-meta-0.10-r6:0.10 [IP-] [ ]
> media-plugins/gst-plugins-meta-0.10-r7:0.10 [-P-] [ ]
> media-video/avidemux-2.5.6-r1:2 [-P-] [ ]
> media-video/ffmpeg-0.7.8:0 [-P-] [ ] media-video/ffmpeg-0.10:0
> [IP-] [ ] media-video/ffmpeg-0.10.2:0 [-P-] [ -]
> media-video/ffmpeg-9999:0 [-P-] [ ] media-video/libav-0.6.5:0
> [-P-] [ ] media-video/libav-0.7.4:0 [-P-] [ -]
> media-video/libav-0.7.9999:0 [-P-] [ ] media-video/libav-0.8:0
> [-P-] [ ] media-video/libav-0.8.1:0 [-P-] [ -]
> media-video/libav-0.8.9999:0 [-P-] [ -] media-video/libav-9999:0
> [-P-] [ ] media-video/mplayer-1.0_rc4_p20110322-r1:0
>
> $ equery hasuse -p webm * Searching for USE flag webm ... [-P-] [
> ] mail-client/thunderbird-8.0-r1:0 [-P-] [ ]
> mail-client/thunderbird-9.0:0 [-P-] [ ]
> mail-client/thunderbird-10.0:0 [-P-] [ ]
> mail-client/thunderbird-10.0.1:0 [-P-] [ ]
> mail-client/thunderbird-10.0.1-r1:0 [-P-] [ ]
> mail-client/thunderbird-10.0.3:0 [-P-] [ ]
> mail-client/thunderbird-11.0.1:0 [-P-] [ ]
> net-libs/xulrunner-2.0.1-r1:1.9 [-P-] [ ]
> www-client/firefox-8.0:0 [-P-] [ ] www-client/firefox-9.0:0 [-P-]
> [ ] www-client/firefox-10.0:0 [-P-] [ ]
> www-client/firefox-10.0.1:0 [-P-] [ ]
> www-client/firefox-10.0.1-r1:0 [-P-] [ ]
> www-client/firefox-10.0.3:0 [-P-] [ ]
> www-client/firefox-11.0-r1:0 [-P-] [M ]
> www-client/icecat-10.0-r1:0 [-P-] [M ] www-client/icecat-10.0-r2:0
> [-P-] [ -] www-client/seamonkey-2.4.1-r1:0 [-P-] [ -]
> www-client/seamonkey-2.7.1:0 [-P-] [ ]
> www-client/seamonkey-2.7.1-r1:0 [-P-] [ ]
> www-client/seamonkey-2.8:0 [-P-] [ ]
> www-client/seamonkey-2.8-r1:0
>
> best regards, Paweł Rumian
>
Hi,

Thank you for your report. Yes this looks like an issue. If I had to
choose I'd pick 'vpx' but it seems to me that media-video@ and
mozilla@ teams needs to reach consensus.

- --
Regards,
Markos Chandras / Gentoo Linux Developer / Key ID: B4AFF2C2
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.18 (GNU/Linux)

iQIcBAEBCgAGBQJPe1pHAAoJEPqDWhW0r/LC4RUQAIwQofFWkN4vt8OUa7C09Ihs
hKV7oGib+HeSPZq7xEa1RD4sjcFw05wmoKM3SNCJ0BZSKlekPV h/xqdfhUYkrNUG
j7tI+uIdw92SnHSpP5v1uCWDpTKyeznQ8lrICdkkQ5qHPq1y8j 5pQgrr8Sff96RZ
DD6PAQlPgXJNMA2AN8jfkch9lyAPaOqfA4TfPMofNYcLSqOLyR e9I/UjVZMW7UaM
Vb4ZO5g9l2B2ND3IpGcby7QFBahRqN36kgFEBBN7gwMFSIaLfb LFUdTPmcPj14vL
NVxE2c1Nv6cXaRgrfs3FRJe4650nvP9raGlIpGVPAmJMzA7JC0 Iw9IXUySWxEa7X
H+1KA/qjNmZtyzY7s1B795y30Gns32qPI6kJ2gdSifG0Xq869zRzignU 0qqUCwgz
Znbu89I90a3AC6ls3oCW1vpLIw8C/imHRBLQcRamZIdGFwy9s5UTzl85vtHi48TA
su6m5BGjL4KC2I3c/RCcGWmSRBCZVDVfyKymoXNPE9/LGD1pevCiNcWL/0wstWQD
xiBDggUoL7WKQEWGHBEwT5Vy+ZmUrQvPq9YJWbeI3fRQXBZtv9 mMRvpE6ebSsUxg
tu8+NsYGvepDVmJPR8S736f0xtMwAjp28McT6/FnvcltHyXIZK1wcr0GiUA4hmao
gmMINPz3UwApRG0U+5jU
=WooC
-----END PGP SIGNATURE-----
 
Old 04-07-2012, 11:52 AM
Paweł Rumian
 
Default Inconsistent flag name in some packages? webm and vpx speifically

Markos Chandras <hwoarang@gentoo.org>:

> Thank you for your report. Yes this looks like an issue. If I had to
> choose I'd pick 'vpx' but it seems to me that media-video@ and
> mozilla@ teams needs to reach consensus.

Should I poke them in any way? Reopen and assign the bug to them?

BR,
Paweł Rumian
 
Old 04-07-2012, 11:59 AM
"Aaron W. Swenson"
 
Default Inconsistent flag name in some packages? webm and vpx speifically

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 04/07/2012 07:52 AM, Paweł Rumian wrote:
> Markos Chandras <hwoarang@gentoo.org>:
>
>> Thank you for your report. Yes this looks like an issue. If I had
>> to choose I'd pick 'vpx' but it seems to me that media-video@
>> and mozilla@ teams needs to reach consensus.
>
> Should I poke them in any way? Reopen and assign the bug to them?
>
> BR, Paweł Rumian
>
Yes. Yes.

I'd vote that the flag name should be 'webm' as that's more readily
recognizable than 'vpx'.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iF4EAREIAAYFAk+ALAQACgkQVxOqA9G7/aBe8gEAj2LSviLEzQasFXmJzjT0oiHp
cEuId91yPkkdWH3sZbUA/29RjvgHCA/gCmKIfkq1arV0z7ZbsP11bBezwUoxcW1f
=GG+2
-----END PGP SIGNATURE-----
 

Thread Tools




All times are GMT. The time now is 05:45 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org